Subject: [sipcore] AD Review: draft-ietf-sipcore-locparam

From: Adam Roach <[email-masked]>
Date: Mon, 13 Jan 2020 17:31:41 -0600

This is my AD review of draft-ietf-sipcore-locparam. Thanks for the work
that went into creating this document. I find no serious issues, and will
be requesting IETF last call momentarily.

I have included a small number of editorial suggestions below. Please
treat them the same as you would any other IETF last call comments.

---------------------------------------------------------------------------

§1:

>    These solutions don't preclude the use of UE provided location but

Nit: "UE-provided"

>    "loc-src"."How the entity adding the locationValue to the header

Nit: extra quotation mark before "How"

---------------------------------------------------------------------------

§3:

>     All of them allow the UE to provide location information, however,

Nit: "...information; however..."

---------------------------------------------------------------------------

§3:

>    The "loc-src" parameter adds the location source generating the
>    locationValue to increase the trustworthiness of the location
>    information.

Given that this mechanism doesn't add any authentication mechanisms,
I expect that this assertion will raise some eyebrows with the
security folks. From a security perspective, the information appears
to be exactly as trustworthy as it is without this mechanism.

I recommend that this sentence be struck, or changed to something more
along the lines of: "...to allow recipients to make informed decisions
about which of multiple values to use."

---------------------------------------------------------------------------

§7:

>    As already stated in [RFC6442] securing the location hop- by-hop,

Nit: "stated in [RFC6442], securing..."

Nit: "...hop-by-hop..."

>     between the domains.  If such trust domain is not given it is

Nit: "...is not given, it is..."

---------------------------------------------------------------------------

---

From: <[email-masked]>
Date: Wed, 22 Jan 2020 06:58:07 +0000

Hi Adam,
Thank you for your review.
I have incoperated your proposed changes in the draft and wait for possible further comments.

I have changed the sentence along your proposal.

>    locationValue to allow recipients to make informed decisions about which of multiple values to use.

Thank you and Best Regards

Roland
-----Ursprüngliche Nachricht-----
Von: Adam Roach <[email-masked]> 
Gesendet: Dienstag, 14. Januar 2020 00:32
An: [email-masked]
Cc: 'SIPCORE' <[email-masked]>
Betreff: AD Review: draft-ietf-sipcore-locparam

This is my AD review of draft-ietf-sipcore-locparam. Thanks for the work that went into creating this document. I find no serious issues, and will be requesting IETF last call momentarily.

I have included a small number of editorial suggestions below. Please treat them the same as you would any other IETF last call comments.

Nit: "UE-provided"

>    locationValue to increase the trustworthiness of the location

Given that this mechanism doesn't add any authentication mechanisms, I expect that this assertion will raise some eyebrows with the security folks. From a security perspective, the information appears to be exactly as trustworthy as it is without this mechanism.

I recommend that this sentence be struck, or changed to something more along the lines of: "...to allow recipients to make informed decisions about which of multiple values to use."

Nit: "...hop-by-hop..."